This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 972633 - /etc/shells should be updated after removing
/etc/shells should be updated after removing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tmux (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 05:42 EDT by Christopher Meng
Modified: 2013-09-24 12:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: tmux-1.6-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:29:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-10 05:42:30 EDT
Hi,

After checking your spec at cgit, I found that you only add tmux path to /etc/shells when %post, but not remove them when %postun.

Fix:

sed -i '/tmux/d' /etc/shells
Comment 1 Petr Šabata 2013-06-10 07:27:47 EDT
You're right, Christopher.
I'll fix this.
Comment 2 Fedora Update System 2013-06-10 09:11:48 EDT
tmux-1.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tmux-1.8-2.fc19
Comment 3 Fedora Update System 2013-06-10 09:14:14 EDT
tmux-1.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tmux-1.8-2.fc18
Comment 4 Christopher Meng 2013-06-10 11:31:37 EDT
Is it possible to update the el6 branch? (version and this problem, too)
Comment 5 Fedora Update System 2013-06-11 05:13:17 EDT
Package tmux-1.8-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tmux-1.8-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10525/tmux-1.8-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-19 00:29:33 EDT
tmux-1.8-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-29 14:25:20 EDT
tmux-1.8-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-10 01:36:36 EDT
tmux-1.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tmux-1.6-3.el6
Comment 9 Fedora Update System 2013-09-24 12:15:12 EDT
tmux-1.6-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.